from pathlib import Path

from day1.common import get_ordered_lists


def compute_distance(list1, list2) -> int:
    return sum([abs(item2 - item1) for item1, item2 in zip(list1, list2)])


def main(data_file: Path):
    list1, list2 = get_ordered_lists(data_file)
    distance = compute_distance(list1, list2)
    print(distance)
    return distance


if __name__ == "__main__":
    file = Path(__file__).parent / "input-data"
    main(file)
